Skip to main content
Set Activity Status

Headers

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.

Body

ActivityIdentifier, ActivityStatus

SetActivityStatus: Sets the completed status for an array of activities. The string activityIdentifier param may contain of a mix of appointment_id, sale_id, document_id and todo_id. The changes are saved immediately. If an invalid id is passed in (nonexistent record), no changes will be made. If there is no write access to the record being changed, a Sentry exception will be thrown in the usual manner.

ActivityIdentifier
string[]
ActivityStatus
enum<string>
Available options:
Unknown,
NotStarted,
Started,
Completed

Response

204

No Content